Company logoTrust Center Documentation
API v1 ReferenceUpdatesIdRevert to draft

Revert update to draft

Return a published, scheduled, or archived update to draft when it has not sent email delivery. Published updates with email channels cannot be reverted…

Return a published, scheduled, or archived update to draft when it has not sent email delivery. Published updates with email channels cannot be reverted because customers may already have received them. Request bodies must be empty; lifecycle fields are rejected on this endpoint.

POST
/api/v1/updates/{id}/revert-to-draft

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Update ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://app.orbiqhq.com/api/v1/updates/string/revert-to-draft" \  -H "Content-Type: application/json" \  -d '{}'
{
  "success": true,
  "data": {
    "update": {
      "id": "string",
      "title": "string",
      "slug": "string",
      "summary": "string",
      "description_md": "string",
      "status": "draft",
      "classification": "string",
      "access_level": "public",
      "send_mode": "none",
      "channels": [
        "trust_center"
      ],
      "scheduled_at": "2019-08-24T14:15:22Z",
      "scheduled_timezone": "Europe/Berlin",
      "published_at": "2019-08-24T14:15:22Z",
      "effective_at": "2019-08-24T14:15:22Z",
      "effective_timezone": "America/New_York",
      "order": "asc",
      "parent": "string",
      "template": "string",
      "documents": [
        {
          "id": "string",
          "documents_id": "string"
        }
      ],
      "subprocessors": [
        {
          "id": "string",
          "subprocessors_id": "string"
        }
      ]
    }
  }
}
Empty
Empty

How is this guide?